#ifndef _Basic_structures_CPP_
#define _Basic_structures_CPP_

#include <time.h>

using namespace std;

//This is a global variable used by the entire program
//It insures that rand is seeded only once.
bool seeded = false;

//Communication structure
// at given time, 'speaker' sent a message to 'listener'.
struct communication {
    double time;
    unsigned int speaker;
    unsigned int listener;
};

//Used in sorting vectors of communications
bool compare_communications(communication c1, communication c2){
    return c1.time < c2.time;
}

//Triple structure
//Stores the int representing the 3 players involved in the triple
//if the bool is true, the triple is a chain, else it is a sibling
struct triple {int a; int b; int c; bool chain;};

#endif
